# Specials

Specials define rule based price modifiers to support discounting of products.

Specials can be either a **percentage** or a **fixed** amount.

Specials apply for a specified date range

Specials can be applied to:

* **Products** - specific products
* **Categories** - all Products assigned to a category
* **Collections** - all Products assigned to a collection

### Portal View

#### View Specials

Assess the **Special** screen in the console via the console navigation bar.

![](/files/-M4JGP-1ix5ImXSeuVhm)

#### Add New Special

Click **Add New** to create a new special

![](/files/-M4JHGF1n9cBp5BOtmdd)

Specified a:

* Name
* Description
* Special Type: Percentage or Fixed Amount
* Amount (based on Special Type)
* Date Range (from and to)

Click **Submit** to create the new special.

![](/files/-M4JHAUMUcxNxdB2lYYT)

#### Edit Special&#x20;

Additional **Details** are specified including the definition of Rules that determined which products specials apply to.  Specials can apply to specific products or all products assigned to specifed Categories or Collections.

![](/files/-M4JHt5cY8wILcuwDQ9Q)

Click **Save** to commit your modifications.

#### Specials Properties

{% tabs %}
{% tab title="Attributes" %}

| Element      | Description                                                                                                                                                  |
| ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| specialId    | Internal Identifier for the special                                                                                                                          |
| name         | Name for the special                                                                                                                                         |
| description  | Description for the special                                                                                                                                  |
| specialType  | Percentage or Fixed Amount                                                                                                                                   |
| amount       | Amount of special, unit based on Special Type                                                                                                                |
| startDate    | Start date for the special                                                                                                                                   |
| endDate      | End date for the special                                                                                                                                     |
| attributes   | One or more key/value pairs to support customisation of specials                                                                                             |
| **Rules**    |                                                                                                                                                              |
| categories   | Categories that the special applies to (see [Categories](/concepts/categories.md)), if a Product is assigned to these categories then the special is applied |
| collections  | Collections that the special applies to (see [Specials](/concepts/specials.md)), if a Product is assigned to these collections then the special is applied   |
| products     | Products that the special applies to                                                                                                                         |
| {% endtab %} |                                                                                                                                                              |

{% tab title="Sample Object" %}

```
{
    "specialId":	string
     "version	string
    "nullable: true
    "name	string
    "nullable: true
    "description	string
    nullable: true
    isActive	boolean
    startOnUtc	string($date-time)
    endOnUtc	string($date-time)
    nullable: true
    specialType	SpecialTypestring
    Enum:
    Array [ 2 ]
    amount	number($decimal)
    rules	[...]
    attributes	{...}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.simplestore.io/concepts/specials.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
